import torch
class LyapunovLoss(torch.nn.Module):
    def __init__(self, alpha):
        self.alpha = alpha
        super(LyapunovLoss,self).__init__()

    def forward(self, output, target):
        loss = torch.pow(torch.abs(output - target), self.alpha+1).mean() / (self.alpha+1)
        return loss
